#
# spec file for package plp (Version 4.1.2)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         plp
Release:      1
Copyright:    
Group: 
Provides:     plp-lpd 
Requires: 
Conflicts:    lprold
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      4.1.2
Summary:      Print spooler
Source: plp-lpd-4.1.2.tar.gz
Patch: plp-4.1.2.dif
%description
A newer printer spooling system for Linux. Configuration is located in
/etc/printcap, /etc/plp.conf, and /etc/printer_perms.
If problems occur shutdown the spooling system by entering
"/sbin/init.d/lpd stop". Then you can switch to the BSD spooling system by
removing package plp in YaST and installing package lprold.
Restart the system with "/sbin/init.d/lpd start".

%prep
%setup -n plp-4.1.2
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.plp
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.plp and update"
  echo "by hand."
fi
for DIR in ` cat etc/printcap | \
             grep -v "^#" | \
             grep "sd=" | \
	     sed -e"s:.*sd=:sd=:" | \
	     sed -e"s:sd=::" | \
	     sed -e"s:^/::" | \
	     sed -e"s/:.*//" ` ; do
    if [ ! -d $DIR ] ; then
        #
        # apsfilter normally creates usr/spool entries, maybe it is linked
	# to var/spool
	DIR=`echo $DIR | sed -e"s:usr:var:"`
    fi
    if [ -d $DIR ] ; then
        chown -R lp.lp $DIR
    fi
done
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%docdir /usr/doc/packages/plp
/usr/doc/packages/plp
%config /etc/plp.conf
%config /etc/printcap
%config /etc/printer_perms
%config /sbin/init.d/lpd
/sbin/init.d/rc2.d/K20lpd
/sbin/init.d/rc2.d/S20lpd
/sbin/init.d/rc3.d/K20lpd
/sbin/init.d/rc3.d/S20lpd
/usr/bin/checkpc
/usr/bin/lp
/usr/bin/lpc
/usr/bin/lpd
/usr/bin/lpq
/usr/bin/lpr
/usr/bin/lprm
/usr/bin/lpstat
/usr/bin/pac
/usr/bin/printers
/usr/bin/setstatus
%doc /usr/man/man1/lpc.1.gz
%doc /usr/man/man1/lpq.1.gz
%doc /usr/man/man1/lpr.1.gz
%doc /usr/man/man1/lprm.1.gz
%doc /usr/man/man1/printer.1.gz
%doc /usr/man/man1/printers.1.gz
%doc /usr/man/man5/plp.conf.5.gz
%doc /usr/man/man5/printcap.5.gz
%doc /usr/man/man8/checkpc.8.gz
%doc /usr/man/man8/lpd.8.gz
%doc /usr/man/man8/pac.8.gz
%doc /usr/man/man8/setstatus.8.gz
/var/adm/fillup-templates/rc.config.plp

